﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$sc_home = Join-Path $package 'schemacrawler-15.02.02-distribution'
$sc_bat = Join-Path $sc_home '_schemacrawler/schemacrawler.cmd'


Install-ChocolateyZipPackage `
    -PackageName 'schemacrawler' `
    -Url 'https://github.com/schemacrawler/SchemaCrawler/releases/download/v15.02.02/schemacrawler-15.02.02-distribution.zip' `
    -Checksum 'f3495e8db7a474765b3c7bed43ca19edffe1bc81c0a8e6d499f9b64a63b193ad77b6cbb638b0c4e63f0f2d75484dd195bfafd7fe3b6ff91a54422f1d4807d7db' `
    -ChecksumType 'SHA512' `
    -UnzipLocation $package

Install-ChocolateyEnvironmentVariable `
    -VariableName 'SC_HOME' `
    -VariableValue $sc_home `
    -VariableType 'Machine'


Install-BinFile -Name 'schemacrawler' -Path $sc_bat

Update-SessionEnvironment
